|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QMainWindow

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QMainWindow class reference

### Public Functions

- QMainWindow ( QWidget * parent, const char * name, Qt::WFlags flags = 0 )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QMainWindow::QMainWindow ( QWidget * parent, const char * name, Qt::WFlags flags = 0 )

Constructs a QMainWindow with the given parent, name, and with the specified widget flags.